#!/usr/bin/gnuplot -persist
#  
#    	G N U P L O T
#    	Version 4.0 patchlevel 0
#
#	Standard Settings for GPI
#
# See http://t16web.lanl.gov/Kawano/gnuplot/index-e.html
# for a good introduction to Gnuplot
#
# remember the 'help' command

set terminal postscript enhanced

unset key
set tics in
set ticslevel 0.25
set ticscale 0.5 0.25
# set mxtics 1.000000
# set mytics 1.000000
#set xtics 100
set nox2tics
set noy2tics
set fit noerrorvariables
set grid xtics nomxtics ytics nomytics noztics nomztics


#********************************************************************

#*****
#*****
#Assignment 1
set output "assgn1.ps"
set mxtics 10
set mytics 10
set grid mytics
set grid mxtics
#*****
#*****


#********************************************************************

#********************************************************************
set title "Left Pendulum"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn1_left_pendulum.txt" with lines


#********************************************************************
set title "Right Pendulum"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn1_right_pendulum.txt" with lines


#********************************************************************

#*****
#*****
#Assignment 2
set output "assgn2.ps"
set mxtics 10
set mytics 10
set grid mytics
set grid mxtics
#*****
#*****


#********************************************************************

#********************************************************************
set title "Coupled Pendulum - Symmetric Mode - Coupling Point 2"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"


plot "asgn2_symetric_mode_couplingpoint2.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Asymmetric Mode - Coupling Point 2"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_asymetric_mode_couplingpoint2.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Symmetric Mode - Coupling Point 4"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_symetric_mode_couplingpoint4.txt" with lines

#********************************************************************
set title "Coupled Pendulum - Asymmetric Mode - Coupling Point 4"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_asymetric_mode_couplingpoint4.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Symmetric Mode - Coupling Point 6"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_symetric_mode_couplingpoint6.txt" with lines

#********************************************************************
set title "Coupled Pendulum - Asymmetric Mode - Coupling Point 6"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_asymetric_mode_couplingpoint6.txt" with lines

#********************************************************************
set title "Coupled Pendulum - Symmetric Mode - Coupling Point 8"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_symetric_mode_couplingpoint8.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Asymmetric Mode - Coupling Point 8"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_asymetric_mode_couplingpoint8.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Symmetric Mode - Coupling Point 7"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_symetric_mode_couplingpoint7.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Asymmetric Mode - Coupling Point 7"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn2_asymetric_mode_couplingpoint7.txt" with lines
#********************************************************************

#*****
#*****
#Assignment 3
set output "assgn3.ps"
set mxtics 20
set mytics 10
set grid mytics
set grid mxtics
#*****
#*****


#********************************************************************
#set title "Coupled Pendulum - Beates - Coupling Point 2"
#set xlabel "t / 10^{-2} s"
#set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

#plot "asgn3_beats_couplingpoint2.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Beates - Coupling Point 4"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn3_beats_couplingpoint4.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Beates - Coupling Point 6"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn3_beats_couplingpoint6.txt" with lines


#********************************************************************
set title "Coupled Pendulum - Beates - Coupling Point 8"
set xlabel "t / 10^{-2} s"
set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

plot "asgn3_beats_couplingpoint8.txt" with lines


#********************************************************************
#set title "Coupled Pendulum - Beates - Coupling Point 3"
#set xlabel "t / 10^{-2} s"
#set ylabel "A / 0.3125 mV"

# set xrange [0:250]
# set yrange [0:10]

#fit-curve
#f(x) = a*x+b
#fit f(x) "2g2m-st.csv" every ::20::62 via a,b
 

#plot "asgn3_beats_couplingpoint3.txt" with lines




#*************************************************************

#*********
#*********
# Assignment 4
set output "assgn4.ps"
set title "Degrees of coupling over r^2"
set xlabel "r^2 / m^2"
set ylabel "f"
#*********
#*********

f(x)=a*x
fit f(x) "assgn4_plotdata.csv" via a
plot [0:0.7] [0:0.1] "assgn4_plotdata.csv" with errorbars pointtype 7 pointsize .5, f(x) linetype 1, 0.132*x linetype 3

#    EOF
